/*
 * printUART.h
 *
 *  Created on: 01/04/2014
 *      Author: Usuario
 */
#ifndef PRINTUART_H_
#define PRINTUART_H_

/*****************************************************************************
** Function name:		printUART_Text
**
** Descriptions:		Imprime un texto por la UART3
**
** parameters:			Buffer : cadena a enviar a la UART3
** Returned value:		None
**
*****************************************************************************/
void printUART_Text (uint32_t PortNum, char *Buffer);

/*****************************************************************************
** Function name:		printUART_TextNum
**
** Descriptions:		Imprime un texto y numero por la UART
**
** parameters:			Buffer: canena a  num
** Returned value:		None
**
*****************************************************************************/
void printUART_TextNum (uint32_t PortNum, char *Buffer, uint16_t Num);

/*****************************************************************************
** Function name:		printUART_Init
**
** Descriptions:		Inicia el semaforo de impresion
**
** parameters:			None
** Returned value:		None
**
*****************************************************************************/
uint8_t printUART_Init (void);


#endif /* PRINTUART_H_ */
