/*
 * utils.c
 *
 *  Created on: 14/04/2014
 *      Author: Alfredo Florencio Jimenez
 */
#include "LPC17xx.h"
#include "string.h"
#include "uart.h"
#include "printUART.h"
#include "wifly.h"
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

/*****************************************************************************
** Function name:		delayMS
*****************************************************************************/

void delayMS( uint32_t ms )
{
	uint32_t i;

	for (i = 0; i < ((( uint32_t )7140) * ms); i++ )
	{
		;
	}
}

/*****************************************************************************
** Function name:		parseChunked
*****************************************************************************/

uint16_t parseChunked(char *subC, char *text)
{
	char rx[16];
	uint8_t encontrado = 0;
	uint16_t i=0, j=0, k=0, l=0, m=0, tam=0;

	l = strlen(subC);
	tam = strlen(text);

	for (i=0; i < tam; i++)
	{
		if (encontrado)
		{
			if (text[i] >= '0' && text[i] <= '9')
			{
				//if (m)
				//{
					rx[k] = text[i];
					k++;
				//}
				m++;
			}
			if (m>1 && (text[i] == '*'/*'\r'*/))
			{
				i = tam;
			}
		}

		if (subC[j] == text[i])
		{
			j++;
			if (j == l)
			{
				encontrado = 1;
			}
		}
		else
		{
			j=0;
		}

	}
/*	if (encontrado)
	{
		printUART_TextNum (UART_LOG, "REC: ", atoi (rx));
		printUART_Text(UART_LOG, "\r\n");
	}
	else
	{
		printUART_Text(UART_LOG, "\r\ncadena no encontrada\r\n");
	}*/
	return (atoi (rx));
}

/*****************************************************************************
** Function name:		NumAleatorio
*****************************************************************************/

int NumAleatorio( void )
{
	int ret;

	/* Podremos delimitar el valor mas alto indicando el resto del numero generado.
	 * Como ejemplo la linea siguiente lo delimita entre 0 y 10000
	 *     ret = rand() % 10000;
	 */
	ret = rand();

	return ret;
}
